// Code scaffolded by goctl. Safe to edit.
// goctl 1.9.2

package file

import (
	"net/http"

	"juwan-backend/app/objectstory/api/internal/logic/file"
	"juwan-backend/app/objectstory/api/internal/svc"
	"juwan-backend/app/objectstory/api/internal/types"

	"github.com/zeromicro/go-zero/rest/httpx"
)

// 文件上传接口
func UploadHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.UploadReq
		if err := httpx.Parse(r, &req); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := file.NewUploadLogic(r.Context(), svcCtx)
		resp, err := l.Upload(&req, r)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
